ClickStack: List Alerts
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Retrieves a list of all alerts for the authenticated team
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickstack
/
alerts
ClickStack: List Alerts
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": [
{
"dashboardId": "65f5e4a3b9e77c001a567890",
"tileId": "65f5e4a3b9e77c001a901234",
"savedSearchId": "65f5e4a3b9e77c001a345678",
"groupBy": "ServiceName",
"threshold": 100,
"thresholdMax": 500,
"interval": "1h",
"scheduleOffsetMinutes": 2,
"scheduleStartAt": "2026-02-08T10:00:00.000Z",
"source": "tile",
"thresholdType": "above",
"channel": {
"emailRecipients": [
"<string>"
]
},
"name": "Test Alert",
"message": "Test Alert Message",
"note": "Threshold raised from 50 to 100 on 2026-01-15. See [runbook](https://wiki.example.com/runbook).",
"id": "65f5e4a3b9e77c001a123456",
"state": "ALERT",
"teamId": "65f5e4a3b9e77c001a345678",
"silenced": {
"by": "65f5e4a3b9e77c001a234567",
"at": "2026-03-19T08:00:00.000Z",
"until": "2026-03-20T08:00:00.000Z"
},
"executionErrors": [
{
"timestamp": "2026-04-17T12:00:00.000Z",
"type": "QUERY_ERROR",
"message": "Query timed out after 30s"
}
],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
]
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Retrieves a list of all alerts for the authenticated team
ClickStack: Retrieves a list of all alerts for the authenticated team
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the ClickStack service.
Last modified on July 9, 2026
Was this page helpful?
Previous
ClickStack: Create Alert**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Creates a new alert
Next
⌘I
ClickStack: List Alerts
